// Speccy2007 //

module top(
 input CLK,
 input RD,
 input WR,
 input IOREQ,
 input MREQ,
 input M1,
 input [13:0] VA,
 input [7:0] VD,
 input [7:0] D,
 input A14,
 input A15,
 input AVR_NOINT,
 input AVR_WAIT,
 input TAPE_IN,
 input SYNC,
 input R,
 input G,
 input B,
 output SOUND,
 output CLK_CPU,
 output WAIT_CPU,
 output INT,
 output VAGEN,
 output VRD,
 output VWR,
 output VRAM,
 output RAM,
 output ROM,
 output AVR_INT,
 input BR,
 input BG,
 input BB
);

//--Dummy----------------------------------------------------------------------

 assign WAIT_CPU = 1'b0;
 assign INT = 1'b1;
 assign VAGEN = 1'b0;
 assign VRD = 1'b1;
 assign VWR = 1'b1;
 assign VRAM = 1'b1;
 assign RAM = 1'b1;
 assign ROM = 1'b1;
 assign AVR_INT = 1'b1;

//-----------------------------------------------------------------------------

 wire snd, dummy_clk;

 amus demo(.in_clk(CLK),
           .out_snd(snd),
           .out_clk(dummy_clk)
          );

 assign CLK_CPU = dummy_clk;
 assign SOUND = snd;

//-----------------------------------------------------------------------------

endmodule
