// ZXKit1 VGA&PAL //

module top(
 input F14,
 input [17:0] A,
 input [15:0] D,
 input B_IN,
 input G_IN,
 input R_IN,
 input I_IN,
 input SSI_IN,
 input KSI_IN,
 input INVERSE_F14MHZ,
 input INVERSE_SSI,
 input INVERSE_KSI,
 input INVERSE_RGBI,
 input VGA_SCART,
 input SET_FK_OUT,
 input SET_FK_IN,
 output B_VIDEO,
 output G_VIDEO,
 output R_VIDEO,
 output SYNC_VIDEO,
 output R_VGA,
 output G_VGA,
 output B_VGA,
 output VSYNC_VGA,
 output HSYNC_VGA,
 output WE,
 output LB,
 output UB,
 output OE,
 input [2:0] I_VIDEO,
 input [2:0] I_VGA
);

//--Dummy----------------------------------------------------------------------

 assign WE = 1'b1;
 assign LB = 1'b1;
 assign UB = 1'b1;
 assign OE = 1'b1;

//------------------------------------------------------------------------------

 wire snd;

 amus demo(.in_clk(F14),
           .out_snd(snd)
          );

 assign G_VIDEO    = snd;
 assign G_VGA      = snd;
 assign R_VIDEO    = snd;
 assign R_VGA      = snd;
 assign B_VIDEO    = snd;
 assign B_VGA      = snd;
 assign SYNC_VIDEO = snd;
 assign HSYNC_VGA  = snd;
 assign VSYNC_VGA  = snd;

//-----------------------------------------------------------------------------

endmodule
